diff --git a/scripts/run_Processor.sh b/scripts/run_Processor.sh
index e879ed819dec149919fdcd5a7033169ee34883b1..00366a535de3b6f6bcf3458f4ec0b6c6ba761c73 100755
--- a/scripts/run_Processor.sh
+++ b/scripts/run_Processor.sh
@@ -32,7 +32,9 @@ proc_path="$( dirname "$(readlink -f "$0" )" )"
 
 # run the processor with all arguments
 python ${proc_path}/../coordinator/Processor.py "$@"
+exit_code=$?;
 
 # deactivate conda environment
 source /storage/app/miniconda3/bin/deactivate ${conda_env}
 
+exit $exit_code;